search volumes
curl --request POST \
--url https://console.vast.ai/api/v0/volumes/search/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"limit": 100
}'import requests
url = "https://console.vast.ai/api/v0/volumes/search/"
payload = { "limit": 100 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({limit: 100})
};
fetch('https://console.vast.ai/api/v0/volumes/search/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offers": [
{
"ask_contract_id": 123,
"bundle_id": 123,
"cpu_arch": "amd64",
"cpu_ghz": 123,
"cpu_name": "AMD EPYC 7K62 48-Core Processor",
"cuda_max_good": 12.8,
"disk_bw": 123,
"disk_name": "FIKWOT FN955 4TB",
"disk_space": 10,
"driver_vers": "<string>",
"driver_version": "570.124.04",
"duration": 123,
"end_date": 123,
"external": true,
"geolocation": "<string>",
"geolocode": "<string>",
"gpu_arch": "<string>",
"host_id": 166946,
"id": 123,
"inet_down": 654.6,
"inet_up": 78.9,
"machine_id": 36683,
"mobo_name": "ROME2D32GM-2T",
"reliability": 123,
"reliability2": 0.9649497,
"reliability_mult": 123,
"start_date": 1747341046.4320989,
"static_ip": true,
"storage_cost": 123,
"storage_total_cost": 0.0005555555555555557,
"vericode": "<string>",
"verification": "verified",
"vms_enabled": true
}
]
}{
"success": false,
"msg": "Invalid query: {query}, must be dict of conditions"
}{
"detail": "API requests too frequent endpoint threshold=5.5"
}Volumes
search volumes
Search for available volumes based on specified criteria.
CLI Usage: vastai search volumes <query> [options]
POST
/
api
/
v0
/
volumes
/
search
/
search volumes
Authorizations
API key must be provided in the Authorization header
Query Parameters
Query parameters for filtering volume search results
Show child attributes
Show child attributes
Body
application/json
Maximum number of results to return
Example:
100
Response
Success response
Show child attributes
Show child attributes
⌘I